Bug 61345 - Hints for a forgiving command line
Hints for a forgiving command line
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-18 03:26 EST by kop
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 01:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kop 2002-03-18 03:26:58 EST
It'd be nice to have any easy way to make
the command line more friendly to interactive
users, rather than
Posix compliant.  The only way I can think
to do it is to comment the bash initialization
files.

Add the following comments to
/etc/skel/.bashrc and /root/.bashrc

# Uncomment the following for a more forgiving
# interactive command line environment.
#alias rm='rm -i'
#alias cp='cp -i --strip-trailing-slashes'
#alias mv='mv -i --strip-trailing-slashes'

And the following to /root/.bash_profile and 
/etc/skel/.bash_profile

# Uncomment the following for a more forgiving
# interactive command line environment.
#export LESS='-i'
#export EDITOR='pico' ;# default is vi, or choose mcedit, emacs, or others
#export VISUAL='pico'

Clutter, yes. But at least somebody who's looking will
have a guide to the possiblities.  Many who know enough
to find and read the files won't know all they might do.
Comment 1 Bernhard Rosenkraenzer 2002-03-19 09:45:50 EST
The config files live in the setup package, reassigning. 
 
While at it, a commented 
 
alias grep="grep --color=auto" 
 
wouldn't hurt, I think quite a few people will want that. 
 
Comment 2 kop 2002-03-19 17:26:06 EST
While you're at it, put

# Modem users will want to uncomment this.
#options timeout:30

in /etc/resolv.conf
Comment 3 Bill Nottingham 2004-09-23 01:41:07 EDT
At this point, I don't think we're adding new aliases.

Note You need to log in before you can comment on or make changes to this bug.